summaryrefslogtreecommitdiff
path: root/jenkins.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins.sh')
-rwxr-xr-xjenkins.sh20
1 files changed, 13 insertions, 7 deletions
diff --git a/jenkins.sh b/jenkins.sh
index bb3d7e0f..aace08ef 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -197,7 +197,7 @@ something_to_upload=true
orig_parameters=( "$@" )
-getopt -o s:g:w:o:l:rt:b:h -l override:,gcc-branch:,snapshots:,gitrepo:,abedir:,workspace:,options:,logserver:,logname:,languages:,runtests,target:,testcontainer:,bootstrap,help,excludecheck:,norebuild,extraconfig:,send-results-to: -Q -- "$@"
+getopt -o s:g:w:o:l:rt:b:h -l override:,gcc-branch:,snapshots:,gitrepo:,abedir:,workspace:,options:,logserver:,logname:,languages:,runtests,target:,testcontainer:,bootstrap,help,excludecheck:,norebuild,extraconfig:,send-results-filter:,send-results-to: -Q -- "$@"
while test $# -gt 0; do
case $1 in
--gcc-branch) change="$change gcc=$2"; shift ;;
@@ -216,6 +216,7 @@ while test $# -gt 0; do
-r|--runtests) runtests="true" ;;
-b|--bootstrap) try_bootstrap="true" ;;
--excludecheck) excludecheck_opt="$excludecheck_opt --excludecheck $2"; shift ;;
+ --send-results-filter) change="${change} --send-results-filter $2"; shift ;;
--send-results-to) change="${change} --send-results-to $2"; shift ;;
--norebuild) rebuild=false ;;
-h|--help) usage 0 ;;
@@ -286,7 +287,8 @@ while [ x"$logserver" != x"" ]; do
;;
*)
echo "ERROR: Unexpected status of logs: $log_status"
- exit 1
+ status=1
+ exit $status
;;
esac
@@ -425,8 +427,9 @@ fi
# We used to delete *.sum files, but this should not be necessary. This
# check is transitional, and will be removed later.
if [ -n "$(find ${user_workspace} -name \*.sum)" ]; then
- echo "Found *.sum files, but workspace should be empty!"
- exit 1
+ echo "Found *.sum files, but workspace should be empty!"
+ status=1
+ exit $status
fi
if test x"${try_bootstrap}" = xtrue; then
@@ -461,7 +464,8 @@ if test $ret -gt 0; then
echo "================= TAIL OF LOG: BEGIN ================="
tail -n 50 build.out
echo "================= TAIL OF LOG: FINISH ================="
- exit 1
+ status=1
+ exit $status
fi
# if runtests is true, then run make check after the build completes
@@ -476,7 +480,8 @@ if $runtests; then
ls -l /dev/pts
echo "running: grep devpts /proc/mounts"
grep devpts /proc/mounts
- exit 1
+ status=1
+ exit $status
fi
check="--check all"
@@ -490,7 +495,8 @@ if $runtests; then
echo "================= TAIL OF LOG: BEGIN ================="
tail -n 50 check.out
echo "================= TAIL OF LOG: FINISH ================="
- exit 1
+ status=1
+ exit $status
fi
fi